This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 584090

Summary: Review Request: mashpodde - mashpodder is a podcatching client based on BashPodder
Product: [Fedora] Fedora Reporter: rootoutcast
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: david, fedora-package-review, imranceh, notting, tomspur
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-04-10 00:31:08 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    

Description rootoutcast 2010-04-20 14:36:22 EDT
Spec URL: I am in need of hosting space 
SRPM URL: 
Description: mashpodder is a podcatching client based on BashPodder

This is my first package. I am also looking for a sponsor in the Fedora project
Comment 1 rootoutcast 2010-04-20 14:45:50 EDT
FE-NEEDSPONSOR 584090
Comment 2 Mohammed Imran 2010-04-21 09:25:05 EDT
you may use filebin.ca for time being
Comment 4 Thomas Spura 2010-04-22 04:56:12 EDT
(In reply to comment #1)
> FE-NEEDSPONSOR 584090
Comment 5 Mohammed Imran 2010-04-23 03:15:41 EDT
This is a informal review.

Package Review
===============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated


=== REQUIRED ITEMS ===

[!] rpmlint must be run on every package. The output should be posted in the review

Rpmlint output :

[imran@localhost SPECS]$ rpmlint mashpodder.spec ../SRPMS/mashpodder-svn25-1.src.rpm  ../RPMS/noarch/mashpodder-svn25-1.noarch.rpm 

mashpodder.spec: W: no-cleaning-of-buildroot %install
SHOULD use rm -rf $RPM_BUILD_ROOT

mashpodder.src: W: summary-not-capitalized podcatching client based on BashPodder
Use Podcatching instead of podcatching

mashpodder.src: W: non-standard-group 
See /usr/share/doc/rpm-*/GROUPS

mashpodder.src: W: no-cleaning-of-buildroot %install
mashpodder.noarch: W: summary-not-capitalized podcatching client based on BashPodder
mashpodder.noarch: W: non-standard-group Unspecified
mashpodder.noarch: W: incoherent-version-in-changelog svn25 ['svn25-1', 'svn25-1']
Contact upstream 
see http://fedoraproject.org/wiki/Packaging/NamingGuidelines#NonNumericRelease

mashpodder.noarch: W: no-documentation
see http://fedoraproject.org/wiki/Common_Rpmlint_issues#no-documentation

mashpodder.noarch: E: subdir-in-bin /usr/bin/mashpodder/mashpodder.sh
mashpodder.noarch: E: subdir-in-bin /usr/bin/mashpodder/parse_enclosure.xsl
mashpodder.noarch: E: script-without-shebang /usr/bin/mashpodder/parse_enclosure.xsl
mashpodder.noarch: E: subdir-in-bin /usr/bin/mashpodder/sample-wrapper-for-cron.sh
mashpodder.noarch: E: subdir-in-bin /usr/bin/mashpodder/mp.conf
mashpodder.noarch: E: script-without-shebang /usr/bin/mashpodder/mp.conf
There shouldnt be a Directory in /bin
mp.conf,parse_enclosure.xsl should be in /home/mashpdder

mashpodder.sh Line 14-26
# BASEDIR: Location of podcast directories
BASEDIR=$HOME/podcasts

# DATESTRING: Valid date format for date-based archiving.  Default is
# '%Y%m%d'.  Can be changed to other valid formats.  See man date.
DATESTRING='%Y%m%d'

#RSSFILE: Default is 'mp.conf.'  Can be changed to another file name.
RSSFILE=$BASEDIR/mp.conf

#PARSE_ENCLOSURE: Location of parse_enclosure.xsl file.
PARSE_ENCLOSURE=$BASEDIR/parse_enclosure.xsl

2 packages and 1 specfiles checked; 6 errors, 8 warnings.

See http://fedoraproject.org/wiki/Common_Rpmlint_issues

[!] The package must be named according to the  Package Naming Guidelines
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#NonNumericRelease

[x] The spec file name must match the base package %{name}, in the format %{name}.spec
[x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines
[x] The spec file must be written in American English
[x] The sources used to build the package must match the upstream source, as provided in the spec URL
MD5SUM this package    :43f7582097d42b8eeb6b15d98bd89f23
MD5SUM upstream package:43f7582097d42b8eeb6b15d98bd89f23
[x] The package MUST successfully compile and build into binary rpms on at least one primary architecture
[x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
[-] The spec file MUST handle locales properly
[-] Packages must NOT bundle copies of system libraries
[x] A Fedora package must not list a file more than once in the spec file's %files listings
[x] Each package must consistently use macros
[!] Permissions on files must be set properly
755 for mp.conf parse_enclosure.xsl ?
Comment 6 Mamoru TASAKA 2010-05-06 12:37:43 EDT
Mohammed, when you do pre-review using some template,
please also write the summary of your (pre-)review so that
everyone (including the submitter) can easily find what
needs fixing.
Comment 7 Mohammed Imran 2010-05-11 01:22:27 EDT
Point noted,will keep that in mind.
Thanks Mamoru
Comment 8 Mohammed Imran 2010-05-30 09:55:25 EDT
ping
Comment 9 Michael Schwendt 2010-07-29 10:45:18 EDT
Do enter your real name in bugzilla, please.    


> %post
>
> echo "For example see the files in /usr/bin/mashpodder "

RPM scriptlets really ought not print anything to stdout/stderr. There is no guarantee that anyone will see it, and while occasionally there will be error output that isn't supressed, nobody is expected to deal with output printed by RPM scriptlets. Simply get rid of this %post section.


> %files
> %attr(0755, root, root) %{_bindir}/mashpodder
> %attr(0755, root, root) %{_bindir}/mashpodder/mashpodder.sh
> ...

https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions
Plus: Don't over-engineer your spec files with superfluous %attr.


https://fedoraproject.org/wiki/Packaging:Guidelines#Duplicate_Files
You have a conflict between including /usr/bin/mashpodder recursively and including individual files in other entries of the %files section.

And what the heck does this package try to do anyway? It creates a directory in /usr/bin and stores data/config/example files in there? Plus, the base shell script is stored outside $PATH.
Comment 10 Michael Schwendt 2011-02-05 08:32:44 EST
ping rootoutcast@hushmail.com
Comment 11 David Nalley 2011-04-10 00:31:08 EDT
There was no response to Michael's ping on this or any response from packager for almost a year. Closing this as a dead review.